gstreamermm: Gst::MessageMixerVolumeChanged Class Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gst::MessageMixerVolumeChanged Class Reference

A volume-changed Gst::Mixer message. More...

Inheritance diagram for Gst::MessageMixerVolumeChanged:
[legend]
Collaboration diagram for Gst::MessageMixerVolumeChanged:
[legend]

List of all members.

## Public Member Functions
| MessageMixerVolumeChanged (GstMessage* castitem)
void | parse (Glib::RefPtr< Gst::MixerTrack >& track, std::vector< int >& volumes) const
| Parses a volume-changed notification message and extracts the track object it refers to, as well as an array of volumes and the size of the volumes array.
Glib::RefPtr< Gst::MixerTrack > | parse ()
| Parses a volume-changed notification message and extracts the track object it refers to.
Glib::RefPtr< const Gst::MixerTrack > | parse () const
| Parses a volume-changed notification message and extracts the track object it refers to.
std::vector< int > | parse_volumes () const
| Parses a volume-changed notification message and extracts the array of volumes.

## Detailed Description

A volume-changed Gst::Mixer message.

## Constructor & Destructor Documentation

Gst::MessageMixerVolumeChanged::MessageMixerVolumeChanged | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

void Gst::MessageMixerVolumeChanged::parse | ( | Glib::RefPtr< Gst::MixerTrack >& | track,
|  | std::vector< int > & | volumes
| ) |  | const

Parses a volume-changed notification message and extracts the track object it refers to, as well as an array of volumes and the size of the volumes array.

The track object remains valid until the message is freed.

Parameters:

  track | A reference to hold a Gst::MixerTrack object.
  volumes | A reference to receive an array of int values.

Since 0.10.14.

Glib::RefPtr<Gst::MixerTrack> Gst::MessageMixerVolumeChanged::parse | ( |  | ) |

Parses a volume-changed notification message and extracts the track object it refers to.

The track object remains valid until the message is freed.

Returns:
  a Gst::MixerTrack object.

Glib::RefPtr<const Gst::MixerTrack> Gst::MessageMixerVolumeChanged::parse | ( |  | ) | const

Parses a volume-changed notification message and extracts the track object it refers to.

The track object remains valid until the message is freed.

Returns:
  a Gst::MixerTrack object.

std::vector<int> Gst::MessageMixerVolumeChanged::parse_volumes | ( |  | ) | const

Parses a volume-changed notification message and extracts the array of volumes.

Returns:
  The array of volume int values.

The documentation for this class was generated from the following file:

- gstreamermm/mixer.h